stages:
  - test # All jobs related for testing such as Unit Test
  - build 

flutter_test: # Name of the lane
  stage: test # type of stage
  script:
  
    - flutter test # Run Flutter test
  tags:
    - flutter2 # Tags for runner

####
#### flutter_test lane
####  
flutter_build_android: #Job name
  stage: build # kind of job
  before_script:
    - cd myflutter 
    - flutter packages get
    - flutter clean
  script:
    - pwd 
    - flutter build apk

  tags:
    - flutter2

flutter_build_ios: 
  stage: build 
  script: 
    - cd myflutter 
    - flutter build ios --release --no-codesign 
  tags: 
    - flutter2 
#test 
#test 1 
#test 2 
#test 3 
#test 3 